/*
 * @(#)SSOBaseServletTest.java
 *
 * Copyright (C) 2007 Infocity Inc. All Rights Reserved.
 */
package test.info.dragonlady.sso;

import org.apache.cactus.ServletTestCase;

import test.info.dragonlady.sso.servlet.SSOTestServlet;

import info.dragonlady.sso.SSOContext;

/**
 * SSOBaseServletクラステストケース。
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.0 $ $Date: 2007/06/05 19:21:17 $
 */
public class SSOBaseServletTest extends ServletTestCase {

	/**
	 * @param arg0
	 */
	public SSOBaseServletTest(String arg0) {
		super(arg0);
	}

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
	}

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
	}

	/**
	 * {@link info.dragonlady.sso.SSOBaseServlet#service(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)} のためのテスト・メソッド。
	 */
	public final void testServiceHttpServletRequestHttpServletResponse() {
		try {
			SSOTestServlet servlet = new SSOTestServlet();
			servlet.service(request, response);
			assertEquals(SSOContext.getInstance().getCurrentRequest(), request);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

}
